package org.ow2.odis;

import org.ow2.odis.admin.Launch;
import org.ow2.odis.exception.OdisException;

/**
 * The Class LanceThread.
 */
public class LanceThread implements Runnable {
    /** The args. */
    String[] args;

    /**
     * Instantiates a new lance thread.
     * @param pInstance the instance
     * @param arg the arg
     */
    public LanceThread(Launch pInstance, String arg) {
        args = arg.split(" ");
    }

    /**
     * @see java.lang.Runnable#run()
     */
    public void run() {
        try {
            Launch.main(args);
        } catch (OdisException e) {
            e.printStackTrace();
        }
    }
}
