package org.ow2.odis;

import java.util.ArrayList;
import java.util.List;

import org.ow2.odis.connection.context.Context;
import org.ow2.odis.engine.FWEvent;
import org.ow2.odis.routing.Destination;
import org.ow2.odis.routing.IRouting;
import org.ow2.odis.routing.RoutingObject;
import org.ow2.odis.routing.RoutingObjectFactory;

/**
 *
 * @author mobo7205
 */
public class SimulateurContextual implements IRouting {

    int value = 0;
    public Context context;
    List destinations = new ArrayList();
    String message = null;

    public List proceed(Object arg0) {
        RoutingObjectFactory factory = new RoutingObjectFactory(this);
        List result = new ArrayList();
        RoutingObject ro = factory.newRoutingObject();
        String payload = message;
        if (message == null) {
            payload="message - " + (value++);
        } 
        ro.setPayload(payload);
        Destination destination;
        destination = new Destination(String.class.getName(), context);
        ro.addDestination(destination);
        result.add(ro);
        return result;
    }

    public boolean init(String arg0) {
        //String args[] = arg0.split("\uFFFD");
        String args[] = arg0.split("§");        
        
        System.out.println(""+args.length+args.toString());        
        if(args.length == 2){
            
            context = new Context(args[0], args[1]);
        }
        if(args.length == 3)
            context = new Context(args[0], args[1], args[2]);
        return true;
    }
 
    public void close() {
    }

    public void notifyFWEvent(FWEvent arg0) {
    }

    public List getLsDestinations() {
        destinations = new ArrayList(1);
        destinations.add(String.class.getName());
        return destinations;
    }
}
