package org.ow2.odis.mock;

import java.io.IOException;
import java.io.OutputStream;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class MockOutputStream extends OutputStream {
	private List linesWritten = new ArrayList();

	public void close() throws IOException {
		super.close();
	}

	public void flush() throws IOException {
		super.flush();
	}

	public void write(byte[] b, int off, int len) throws IOException {
		super.write(b, off, len);
	}

	public void write(byte[] b) throws IOException {
		// linesWritten.add(new String(b));
		linesWritten.add(b);
	}

	public void write(int b) throws IOException {
		
	}

	public void write(String line) {
		// linesWritten.add(line);
	}

	public List getLinesWritten() {
		return linesWritten;
	}

	public List getLinesWritten_toString() {
		List result = new ArrayList();
		for (Iterator iterator = linesWritten.iterator(); iterator.hasNext();) {
			byte[] object = (byte[]) iterator.next();
			result.add(new String(object));
		}
		return result;
	}
}
