package org.ow2.odis.test;

import java.util.List;

import org.ow2.odis.connection.context.Context;
import org.ow2.odis.engine.FWEvent;
import org.ow2.odis.engine.IProceed;
import org.ow2.odis.proceed.ProceedManager;

/**
 * The Class ProcessEcho.
 */
public class ProcessEcho implements IProceed {
    /** The test. */
    StringBuffer test = new StringBuffer();

    /**
     * @see com.francetelecom.odis.component.engine.IProceed#close()
     */
    public void close() {
    }

    /**
     * Init.
     * @param value the value
     * @return true, if init
     * @see com.francetelecom.odis.component.engine.IProceed#init(java.lang.String)
     */
    public boolean init(String value) {
        return true;
    }

    /**
     * Notify FW event.
     * @param event the event
     * @see com.francetelecom.odis.component.engine.IProceed#notifyFWEvent(com.francetelecom.odis.component.engine.FWEvent)
     */
    public void notifyFWEvent(FWEvent event) {
    }

    /**
     * Proceed.
     * @param obj the obj
     * @return the list
     * @see com.francetelecom.odis.component.engine.IProceed#proceed(java.lang.Object)
     */
    public List proceed(Object obj) {        
        test.append(obj + "\n\r");
        Context context = ProceedManager.getCurrentReceiveContext(this);        
        System.out.println("receive Object:" + obj+" from "+context.toString());
        test = new StringBuffer();
        return null;
    }
}
