package org.ow2.odis;

import java.io.File;

/**
 *
 * @author mobo7205
 */
public class PurgeDir {

    /**
     * delete the directory specified by arg
     * @param arg
     */
    public static void purgeDir(String arg) {
        try {
            File path = new File(arg);
            if (path.isDirectory()) {
                File[] here = path.listFiles();
                for (int i = 0; i < here.length; i++) {
                    purgeDir(here[i].getAbsolutePath());
                }
            } else {
                if (path.isFile()) {
                    new File(arg).delete();
                } else {
                    System.out.println("ERROR try to delete"+arg);
                }
            }
        } catch (RuntimeException e1) {
            System.out.println("Can't delete files :");
            e1.printStackTrace();
        }
    }
}
