package org.ow2.odis.testModel;

import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * The Class Tension.
 */
public class Tension implements Serializable {
    // ----------------------------------------------------------------------------------------
    // attributes
    // ----------------------------------------------------------------------------------------
    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /** The value. */
    private int value = 0;

    /** The telephone. */
    private String telephone = "";

    /** The time. */
    private long time = 0;

    /** The id. */
    private long id = 0;

    // ----------------------------------------------------------------------------------------
    // methodes
    // ----------------------------------------------------------------------------------------
    /**
     * To string.
     * @return the string
     * @see java.lang.Object#toString()
     */
    public String toString() {
        StringBuffer buffer = new StringBuffer();
        SimpleDateFormat df = (SimpleDateFormat) SimpleDateFormat.getInstance();
        df.applyPattern("yyyy.MM.dd 'at' HH:mm:ss");
        buffer.append("|");
        buffer.append(id);
        buffer.append("|");
        buffer.append(telephone);
        buffer.append("|");
        buffer.append(df.format(new Date(time)));
        buffer.append("|");
        buffer.append(value);
        buffer.append("|");
        return buffer.toString();
    }

    // ----------------------------------------------------------------------------------------
    // Getter and Setter for each private attribute
    // ----------------------------------------------------------------------------------------
    /**
     * Gets the id.
     * @return the id
     */
    public long getId() {
        return id;
    }

    /**
     * Sets the id. *
     * @param id the new id
     */
    public void setId(long id) {
        this.id = id;
    }

    /**
     * Gets the telephone.
     * @return the telephone
     */
    public String getTelephone() {
        return telephone;
    }

    /**
     * Sets the telephone. *
     * @param telephone the new telephone
     */
    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    /**
     * Gets the time.
     * @return the time
     */
    public long getTime() {
        return time;
    }

    /**
     * Sets the time. *
     * @param time the new time
     */
    public void setTime(long time) {
        this.time = time;
    }

    /**
     * Gets the value.
     * @return the value
     */
    public int getValue() {
        return value;
    }

    /**
     * Sets the value. *
     * @param value the new value
     */
    public void setValue(int value) {
        this.value = value;
    }
}
